import { jsx } from "react/jsx-runtime";
import { TokenSWISE as TokenSWISE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSWISE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SWISE", "data-name": "TokenSWISE", ...props, children: /* @__PURE__ */ jsx(TokenSWISE$1, { variant }) });
  }
);
TokenSWISE.displayName = "TokenSWISE";
Object.assign(TokenSWISE, { isGdsIcon: true });
export {
  TokenSWISE
};
